Kirjoittaja Aihe: RATKAISTU: software updater heittää virheen päivitys ei onnistu  (Luettu 2020 kertaa)

hirvi

  • Käyttäjä
  • Viestejä: 91
    • Profiili
hei,

Yht'äkkiä viime viikolla päivitykset alkoivat mennä virheeseen. Lähetin kehittäjille tästä virheraportin ja se oli jo raportoitu.

Kun päivityksen ajaa heti perään uusiksi sanoo, että kone on ajantasalla. Päivittyykö kone tuosta huolimatta? Kone näyttää ainakin toimivan ok. Liitteenä päivitykseen loki.

tv. aj

« Viimeksi muokattu: 03.12.18 - klo:22.03 kirjoittanut hirvi »

nm

  • Käyttäjä
  • Viestejä: 12820
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #1 : 27.11.18 - klo:18.04 »
Se ei ainakaan yritä asentaa samoja päivityksiä uudelleen, joten ilmeisesti päivitykset asentuvat. Kannattaa kuitenkin selvittää, mistä virhe johtuu.

Mitä tämä komento sanoo päätteessä:

Koodia: [Valitse]
sudo apt-get dist-upgrade

hirvi

  • Käyttäjä
  • Viestejä: 91
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #2 : 27.11.18 - klo:18.24 »
Liitteen tulostus. Tuon hplip:in jälkeenkin noita päivityksiä on mennyt onnistuneesti. On tuossa jotain muutakin..

nm

  • Käyttäjä
  • Viestejä: 12820
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #3 : 27.11.18 - klo:22.41 »
Okei, eli ongelma johtuu HP:n ajurisivulta ladatusta ja asennetusta HPLIPistä. Se rikkoo Ubuntun mukana tulevan HPLIP-paketoinnin. HP:n versiota voi kyllä käyttää, mutta Ubuntun paketit on itse poistettava ennen sen asentamista.

Kokeile korjata ristiriita tämän aiemman viestin mukaisesti: https://forum.ubuntu-fi.org/index.php?topic=53431.msg409260#msg409260

AimoE

  • Käyttäjä
  • Viestejä: 1433
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #4 : 28.11.18 - klo:06.44 »
Kun katson ekan postauksen liitelokia, niin siellä eka kohta josta löydän sanan "error" on tämä:
Koodia: [Valitse]
Start-Date: 2018-11-12  20:22:52https://itsfoss.com/dpkg-returned-an-error-code-1/
Commandline: /usr/bin/unattended-upgrade
Upgrade: libnm0:amd64 (1.10.6-2ubuntu1, 1.10.6-2ubuntu1.1)
End-Date: 2018-11-12  20:22:52

Vastaava toistuu moneen kertaan ennen kuin virheilmoituksen muoto muuttuu toiseksi.

Minulla oli hiljattain asennuksessa ongelma, joka ei ole tämä sama, mutta opin siinä, että ongelmaa kannattaa alkaa purkaa alkupäästä. Nimittäin asensin rikkinäisen paketin, ja sen jälkeen kaikki muutkin asennukset tuottivat samantyyppisen virheilmoituksen (eri kuin hirven tapauksessa). Poistin sen rikkinäisen paketin. Sen jälkeen muut asennukset sujuivat taas ilman ylimääräisiä virheilmoituksia.

nm

  • Käyttäjä
  • Viestejä: 12820
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #5 : 28.11.18 - klo:11.23 »
Kun katson ekan postauksen liitelokia, niin siellä eka kohta josta löydän sanan "error" on tämä:
Koodia: [Valitse]
Start-Date: 2018-11-12  20:22:52https://itsfoss.com/dpkg-returned-an-error-code-1/
Commandline: /usr/bin/unattended-upgrade
Upgrade: libnm0:amd64 (1.10.6-2ubuntu1, 1.10.6-2ubuntu1.1)
End-Date: 2018-11-12  20:22:52

Vastaava toistuu moneen kertaan ennen kuin virheilmoituksen muoto muuttuu toiseksi.

Huomasin samat viittaukset itsfoss.comin artikkeliin https://itsfoss.com/dpkg-returned-an-error-code-1/
En ole varma, mistä ne päätyvät päivityslokiin satunnaisiin kohtiin, mutta ongelman juurisyy on joka tapauksessa apt:n listauksesta ilmenevä HPLIP-vika.

hirvi

  • Käyttäjä
  • Viestejä: 91
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #6 : 28.11.18 - klo:18.15 »
hei,
Tuo linkin ohje ymmärtääkseni auttoi. Komento sudo apt-get dist-upgrade ei anna enää virheitä.

Mutta nyt tulostimella ei  voi skannata. Asensin tuon uudemman hplipin nimenomaan tuota tulostamista varten. Tulostaminen toimii vaikka poistin sekä vanhemman että uudemman hplipin tuon ohjeen mukaan.

Seurailen tilannetta ja asennan tuon uudemman hplipin jonkin ajan päästä. Uudemman jälkikäteen asentamani hplipin versio oli hplip-3.18.7  .

Kiitokset vielä kerran kaikille.

Terv. AJ



Okei, eli ongelma johtuu HP:n ajurisivulta ladatusta ja asennetusta HPLIPistä. Se rikkoo Ubuntun mukana tulevan HPLIP-paketoinnin. HP:n versiota voi kyllä käyttää, mutta Ubuntun paketit on itse poistettava ennen sen asentamista.

Kokeile korjata ristiriita tämän aiemman viestin mukaisesti: https://forum.ubuntu-fi.org/index.php?topic=53431.msg409260#msg409260

nm

  • Käyttäjä
  • Viestejä: 12820
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #7 : 28.11.18 - klo:18.23 »
Mutta nyt tulostimella ei  voi skannata. Asensin tuon uudemman hplipin nimenomaan tuota tulostamista varten. Tulostaminen toimii vaikka poistin sekä vanhemman että uudemman hplipin tuon ohjeen mukaan.

Seurailen tilannetta ja asennan tuon uudemman hplipin jonkin ajan päästä. Uudemman jälkikäteen asentamani hplipin versio oli hplip-3.18.7  .

Sen voi kyllä asentaa, kunhan varmistaa, etteivät Ubuntun hplip-paketit ole asennettuina.

Mikä on tulostimen malli, eli onko se niin uusi, ettei Ubuntun hplipissä ole sille riittävää tukea?

hirvi

  • Käyttäjä
  • Viestejä: 91
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #8 : 28.11.18 - klo:18.44 »
hei,
 Siis tulostaminen onnistuu, mutta skannaus ei enää onnistu.

Kirjoitin on HP Smart Tank Wireless 455.

Aikoinaan yritin saada skannauksen toimimaan, mutta ei. Hplipin versio oli se, mikä se on Ubuntu 18.04.1.

Ajoin nyt komennon:
sudo apt purge hplip hplip-data hplip-doc hplip-gui hpijs-ppds libsane-hpaio printer-driver-hpcups printer-driver-hpijs

Joten nyt alkuperäistäkään Hplipiä ei  ole asennettuna.

Tv. AJ
« Viimeksi muokattu: 28.11.18 - klo:18.51 kirjoittanut hirvi »

nm

  • Käyttäjä
  • Viestejä: 12820
    • Profiili
Vs: software updater heittää virheen päivitys ei onnistu
« Vastaus #9 : 28.11.18 - klo:19.42 »
Siis tulostaminen onnistuu, mutta skannaus ei enää onnistu.

Juu, HPLIP vastaa sekä tulostamisesta että skannauksesta näiden monitoimilaitteiden tapauksessa. Ymmärsin, että skannaus siis toimi, kun HPLIP 3.18.7 oli asennettuna?

Sinänsä yllättävää, jos tulostus tosiaan toimii myös ilman HPLIPiä.


Kirjoitin on HP Smart Tank Wireless 455.

Tuo on tosiaan niin uutta mallistoa, että virallisesti tuki on vasta uusimmissa HPLIPin versioissa. HP Smart Tank Wireless 450 on tuettu juuri versiosta 3.18.7 alkaen: https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index
(Mallia 455 ei ole erikseen mainittu.)


Eli asenna nyt uusin HPLIP, niin skannauksen pitäisi lähteä toimimaan.

hirvi

  • Käyttäjä
  • Viestejä: 91
    • Profiili
HEI,

Rohkenin asentaa uusimma hplip'in. Skannauskinsudo apt-get dist-upgrade toimii nyt. Komento sudo apt-get dist-upgrade ei anna virheitä. Lienee nyt kunnossa.

T. Ari J.